Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackMidiReadQueue Class Referenceabstract

`#include <JackMidiReadQueue.h>`

Inheritance diagram for Jack::JackMidiReadQueue:

## Public Member Functions
virtual jack_midi_event_t * | DequeueEvent ()=0

## Detailed Description

Interface for objects that MIDI events can be read from.

Definition at line 31 of file JackMidiReadQueue.h.

## Member Function Documentation

## ◆ DequeueEvent()

virtual jack_midi_event_t* Jack::JackMidiReadQueue::DequeueEvent | ( |  | ) |
| pure virtual

Dequeues an event from the queue. Returns the event, or 0 if no events are available for reading.

An event dequeued from the read queue is guaranteed to be valid up until another event is dequeued, at which all bets are off. Make sure that you handle each event you dequeue before dequeueing the next event.

Implemented in Jack::JackMidiAsyncQueue, Jack::JackMidiAsyncWaitQueue, Jack::JackMidiBufferReadQueue, Jack::JackALSARawMidiReceiveQueue, and Jack::JackFFADOMidiReceiveQueue.

The documentation for this class was generated from the following files:

- JackMidiReadQueue.h
- JackMidiReadQueue.cpp